# GameOverModifierRewardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GameOverModifierRewardPhase

#### Hierarchy (View Summary)

- ModifierRewardPhase
  - GameOverModifierRewardPhase

- Defined in src/phases/game-over-modifier-reward-phase.ts:6

##### Index

### Constructors

constructor

### Properties

modifierType

### Methods

doReward
end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new GameOverModifierRewardPhase(
  modifierTypeFunc: ModifierTypeFunc ,
  ): GameOverModifierRewardPhase

  #### Parameters

  - modifierTypeFunc: ModifierTypeFunc

  #### Returns GameOverModifierRewardPhase

  Inherited from ModifierRewardPhase.constructor

  - Defined in src/phases/modifier-reward-phase.ts:10

## Properties

### `Protected` modifierType

modifierType: ModifierType

Inherited from ModifierRewardPhase.modifierType

- Defined in src/phases/modifier-reward-phase.ts:8

## Methods

### doReward

- doReward(): Promise<void>

  #### Returns Promise<void>

  Overrides ModifierRewardPhase.doReward

  - Defined in src/phases/game-over-modifier-reward-phase.ts:7

### end

- end(): void

  #### Returns void

  Inherited from ModifierRewardPhase.end

  - Defined in src/phase.ts:6

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from ModifierRewardPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from ModifierRewardPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from ModifierRewardPhase.start

  - Defined in src/phases/modifier-reward-phase.ts:16